EDIT - feature request #9537

Implement ratioToStructure in TaxEditor
03/17/2021 10:15 PM - Andreas Mdller

Status: Feedback Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

for details see #9507.

We also need an according default formatting for the new character.

Related issues:

Follows (10 days) EDIT - feature request #9507: Add ratioTo structure to Char... Closed

Associated revisions

Revision 74¢1395d - 03/31/2021 06:19 PM - Katja Luther
ref #9537: adapt CharacterDto to ratioTo

Revision e2acbb7a - 03/31/2021 06:20 PM - Katja Luther
ref #9537: adapt CharacterDto to ratioTo - avoid NPE

Revision 6c8cfbd4 - 03/31/2021 06:22 PM - Katja Luther
ref #9537: adapt editor to ratioTo in Character

Revision 7d80a1af - 03/31/2021 06:25 PM - Katja Luther

ref #9537: fix select for characterDto

Revision a8d4957f - 03/31/2021 06:49 PM - Katja Luther

ref #9537: adapt editor to ratioTo in Character - continue

Revision 2795c3ee - 03/31/2021 06:49 PM - Katja Luther

ref #9537: fix select for characterDto -continue

Revision fa6d38ce - 04/01/2021 11:34 AM - Katja Luther
ref #9537: add button to ratioTo element

Revision cObc149a - 04/01/2021 02:36 PM - Katja Luther

ref #9537: add button to ratioTo element - 110n changes

Revision 1a6e9489 - 04/13/2021 03:07 PM - Katja Luther

ref #9537: enable/disable buttons, refresh issue

Revision bd13c880 - 04/14/2021 08:26 AM - Katja Luther

ref #9537: no warning if no vocabulary is chosen

Revision 948bc8b0 - 04/14/2021 09:06 AM - Katja Luther

ref #9537: new label for ratio to

Revision bbe2f24e - 04/15/2021 12:34 PM - Katja Luther

ref #9537: adapt character label for ratio to
https://dev.e-taxonomy.eu/redmine/issues/9507

History

#1 - 03/17/2021 10:16 PM - Andreas Miiller
- Due date set to 03/15/2021
- Start date changed from 03/17/2021 to 03/15/2021

- Follows feature request #9507: Add ratioTo structure to Character added

#2 - 03/17/2021 10:16 PM - Andreas Miiller

- Due date deleted (03/15/2021)

- Priority changed from New to Highest

- Start date changed from 03/15/2021 to 03/17/2021

#3 - 03/19/2021 03:27 PM - Andreas Miiller
- Tags changed from additivity to additivity, 5.22

#4 - 03/30/2021 01:31 PM - Andreas Miiller
- Tags changed from additivity, 5.22 to additivity, 5.22, fast

#5 - 03/31/2021 06:50 PM - Katja Luther

- Status changed from New to In Progress

Implemented a button to add ratio to structure to character.

Still needed is a button in details view to remove the structure.

#6 - 04/01/2021 02:37 PM - Katja Luther

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This should be fixed.

The ratio to structure can be added in character editor by using the button in character editor, remove the structure can be done in details view.

#7 - 04/01/2021 02:38 PM - Katja Luther
- % Done changed from 0 to 50

#8 - 04/13/2021 12:22 PM - Andreas Miiller
- Tags changed from additivity, 5.22, fast to additivity
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The ratio to is currently only shown after the character editor was saved. It should be shown immediately after pressing the ratio to button.

#9 - 04/13/2021 12:22 PM - Andreas Miiller

Also the button checks if a vocabulary is chosen. This is not necessary as the character already exists and only is updated. This check should be
removed.

#10 - 04/13/2021 12:24 PM - Andreas Miiller

Also the formatting (label) for the character does not change yet even if it has no protected titleCache.

#11 - 04/13/2021 01:51 PM - Andreas Miiller

Finally, if possible, the new button should only be enabeled if a structure and a character node is selected.

#12 - 04/13/2021 03:04 PM - Katja Luther

Andreas Muller wrote:

The ratio to is currently only shown after the character editor was saved. It should be shown immediately after pressing the ratio to button.
this is fixed.
#13 - 04/13/2021 03:04 PM - Katja Luther
Andreas Muller wrote:

Finally, if possible, the new button should only be enabeled if a structure and a character node is selected.

this is fixed
#14 - 04/13/2021 03:05 PM - Katja Luther
Andreas Muller wrote:
Also the button checks if a vocabulary is chosen. This is not necessary as the character already exists and only is updated. This check should be

removed.

this is fixed
#15 - 04/13/2021 03:10 PM - Katja Luther
Andreas Muller wrote:

Also the formatting (label) for the character does not change yet even if it has no protected titleCache.

How should this look like? character label + ratioTo-label or character label + "ratio to " + ratioTo-label?
#16 - 04/13/2021 04:45 PM - Andreas Miiller
Katja Luther wrote:
Andreas Muller wrote:
Also the button checks if a vocabulary is chosen. This is not necessary as the character already exists and only is updated. This check
should be removed.

this is fixed

This is still the case
#17 - 04/13/2021 04:48 PM - Andreas Miiller
Katja Luther wrote:

Andreas Muller wrote:

Also the formatting (label) for the character does not change yet even if it has no protected titleCache.

How should this look like? character label + ratioTo-label or character label + "ratio to " + ratioTo-label?

| suggest "Ratio {char1label}/{char2label} {property}". Alternatively "to" instead of slash.
Norbert, do you have any deviating suggestions?
#18 - 04/14/2021 09:06 AM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote:

Katja Luther wrote:

Andreas Miiller wrote:

Also the formatting (label) for the character does not change yet even if it has no protected titleCache.
How should this look like? character label + ratioTo-label or character label + "ratio to " + ratioTo-label?

| suggest "Ratio {char1label}/{char2label} {property}". Alternatively "to" instead of slash.

Norbert, do you have any deviating suggestions?

Now the label looks like this
"Ratio structureLabell to structureLabel2 propertyLabel"

#19 - 04/14/2021 09:07 AM - Katja Luther
Andreas Miller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
Also the button checks if a vocabulary is chosen. This is not necessary as the character already exists and only is updated. This check
should be removed.
this is fixed

This is still the case

sorry missed to commit the needed file

#20 - 04/14/2021 12:38 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther
- % Done changed from 50 to 80
Katja Luther wrote:
Andreas Miiller wrote:
Katja Luther wrote:
Andreas Miiller wrote:

Also the formatting (label) for the character does not change yet even if it has no protected titleCache.

How should this look like? character label + ratioTo-label or character label + "ratio to " + ratioTo-label?

| suggest "Ratio {char1label}/{char2label} {property}". Alternatively "to" instead of slash.

Norbert, do you have any deviating suggestions?

Now the label looks like this
"Ratio structureLabell to structureLabel2 propertyLabel”

| thought about the label again and maybe it is better to use "{property} ratio {char1} to {char2}". If NK does not another suggestion please implement
it this way and then we can close the ticket.

#21 - 04/16/2021 09:20 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

| guess this is for review.

#22 - 04/19/2021 11:43 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

A final issue is that removing the "ratio to" with titleCache not being protected does not set back the titteCache to the default value (without "ratio").
